SPP(1)

NAME
spp - simple pre-processor

SYNOPSIS
spp [-h] [-o file] [-t type] [-e evalstr] [-s prefixstr] [-l] [-L] [-n] [-v] [[test-(dir|file) ...]]

DESCRIPTION
Simple preprocessor tool similar to PHP or CPP but focusing on simplicity, ease to be embedded and used from the command-line or the API.

TODO: this manpage is work-in-progress

You need radare2 to be available in $PATH.

OPTIONS

-h  Show the help/usage message

USAGE

Use the -n flag to dont run any test. Just load them.

$ echo 'Hello <{system darwin}>' | spp Hello Darwin

SEE ALSO

cat(1)

AUTHORS

Written by pancake <pancake@nopcode.org>.